<div class="wrapper fadeInDown">
  <form class="form-content" (ngSubmit)="onSubmit()" #loginForm="ngForm">
    <div class="form-content--header">
      <button type="button" class="btn close"
              data-dismiss="alert" aria-label="Close" (click)="closeModal()">

        <span aria-hidden="true">×</span>
      </button>
    </div>
    <div class="form-content--body">
      <input
        type="text"
        class="form-control"
        [placeholder]="'login' | translate"
        [(ngModel)]="model.name"
        name="name"
        required
      >
      <input
        type="password"
        class="form-control"
        [placeholder]="'password' | translate"
        [(ngModel)]="model.password"
        name="password"
        required
      >
      <div class="captcha" #captcha>
        <re-captcha (resolved)="resolved($event)" siteKey="{{ publicKey }}"></re-captcha>
      </div>
      <span class="text-danger"
            [hidden]="errorIsHidden">{{ 'form.validate-error.incorrect-login-password' | translate }}</span>
      <div class="container actions">
        <button type="submit" class="btn btn-block btn-primary"
                [disabled]="!loginForm.form.valid || !captchaKey">{{ 'sign-in' | translate }}</button>
        <button type="button" class="btn btn-block btn-secondary">{{ 'sign-up' | translate }}</button>
        <button type="button" class="btn btn-block btn-link">{{ 'forgot-password' | translate }}</button>
      </div>
    </div>
  </form>
</div>



